@import "vars";
@import "~bootstrap/scss/bootstrap";

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
}

.site-navbar {
  z-index: 100;
  position: sticky;
  top: 0 !important;
  height: 60px;
  margin: auto auto -60px;
  background: rgb(245, 245, 245);
  background: rgba(white, 0.2);
}

.brand-container {
  height: 3rem;
  font-size: 2rem;
  background: linear-gradient(to right, darkgrey 0%, darkgrey 50%, lightgrey 50%, lightgrey 100%);
}

.nav-link-lg {
  text-decoration: none !important;
  color: rgba(0, 0, 0, 0.5) !important;
  position: relative;
}

.nav-link-lg:hover {
  color: rgba(0, 0, 0, 0.7) !important;
}

.nav-link-lg.nav-active {
  color: rgba(0, 0, 0, 0.7) !important;
}

.nav-active::after {
  position: absolute;
  content: "";
  height: 0.1em;
  top: 100%;
  background: currentColor;
  z-index: -1;
  left: 0;
  right: 0;
}

.nav-link-lg:not(.nav-active)::after {
  position: absolute;
  content: "";
  height: 0.1em;
  top: 100%;
  background: currentColor;
  z-index: -1;
  left: 0;
  right: 0;
  transform: scaleX(0);
  transition: transform 0.5s cubic-bezier(0.95, 0.05, 0.795, 0.035);
}

.nav-link-lg:hover::after {
  transition-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
  transform: scaleX(1);
}

// UTILS
.hidden {
  display: none !important;
}

.bg-lightgrey {
  background-color: lightgray;
}

.bg-darkgrey {
  background-color: darkgray;
}

.text-navy-blue {
  color: $bright-navy-blue;
}

@mixin toast-variant($background, $border, $color) {
  color: $color;
  @include gradient-bg($background);
  border-color: $border;

  hr {
    border-top-color: darken($border, 5%);
  }

  .toast-link {
    color: darken($color, 10%);
  }
}

@each $color, $value in $theme-colors {
  .toast-#{$color} {
    @include toast-variant(theme-color-level($color, $toast-bg-level), theme-color-level($color, $toast-border-level), theme-color-level($color, $toast-color-level));
  }
}

@media (max-width: 991.98px) {
  .toast-container {
    bottom: 4.5rem !important;
    right: 1rem !important;
  }
}

.toast-container {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
}

@media (min-width: 991.98px) {
  .border-lg-right {
    border-right: 1px solid lightgrey;
  }
}
